import { Component, OnInit, Input } from '@angular/core';
import { ChatUser } from 'app/chat/models/chat-user';

@Component({
  selector: 'app-chat-message',
  templateUrl: './chat-message.component.html',
  styleUrls: ['./chat-message.component.scss']
})
export class ChatMessageComponent implements OnInit {

  @Input()
  message: string = '';

  @Input()
  sentOn: Date = new Date();

  @Input()
  sender: ChatUser;

  @Input()
  sentToMe: boolean = true;

  constructor() { }

  ngOnInit() {
  }

}
